FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000746FL52.2 Subprogram FLUC (CONV)public2015-10-29 08:392016-09-20 16:20
ReporterFalk Reichbott 
Assigned ToMykhailo Moldavskyy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version 
Target Version5.1.13Fixed in Version5.1.13 
Summary0000746: Support all asymmetric algorithm of RFC4880 with PKCS#11
DescriptionCurrently the PKCS#11 implementation of FKM5 for OpnPGP supports only RSA. Elgamal and DSA must be added to complete the OpenPGP support.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001017)
Falk Reichbott (administrator)
2016-08-10 09:58

Elgamal are not part of libcrypto. A own big intereger implementation is required.
(0001022)
Falk Reichbott (administrator)
2016-09-20 16:12
edited on: 2016-09-20 16:20

The software implementation support all asymetric algorithms which are provided by libcrypto (OpenSSL). This means we currently support RSA and DSA but not ELGAMAL. Support for ECC is a future work item.

On hardware security modules (IBM-CCA/ICSF or PKCS#11) we can only support the algos provided by the HSM.


- Issue History
Date Modified Username Field Change
2015-10-29 08:39 Falk Reichbott New Issue
2015-10-29 08:39 Falk Reichbott Status new => assigned
2015-10-29 08:39 Falk Reichbott Assigned To => Mykhailo Moldavskyy
2015-10-29 09:05 Falk Reichbott Target Version 5.1.10 => 5.1.11
2016-02-29 13:23 Falk Reichbott Target Version 5.1.11 => 5.1.13
2016-08-10 09:58 Falk Reichbott Note Added: 0001017
2016-09-20 16:12 Falk Reichbott Note Added: 0001022
2016-09-20 16:12 Falk Reichbott Status assigned => resolved
2016-09-20 16:12 Falk Reichbott Fixed in Version => 5.1.13
2016-09-20 16:12 Falk Reichbott Resolution open => fixed
2016-09-20 16:20 Falk Reichbott Note Edited: 0001022 View Revisions


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker